<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage --><html lang="en">
<head><meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
<!-- Generated by javadoc (1.8.0_121) on Thu Sep 26 20:37:37 UTC 2019 -->
<title>com.here.android.mpa.routing (HERE Android Premium SDK)</title>
<meta name="date" content="2019-09-26">
<link rel="stylesheet" type="text/css" href="../../../../../stylesheet.css" title="Style">
<script type="text/javascript" src="../../../../../script.js"></script>
<meta name="copyright" content="© 2019 HERE Europe B.V."><meta name="html_title" content="HERE Android Premium SDK NLP Premium Edition v3.13 API Reference"><meta name="DC.Document.Id" content="28f10409-3c3a-4aab-a398-4c46acfeab3a"><meta name="DC.Document.Name" content="HERE Android Premium SDK Java API Reference"><meta name="DC.Product.Name" content="HERE Android Premium SDK"><meta name="DC.Product.Version" content="3.13"><meta name="DC.Creation.Date" content="2019-10-25T09:06:39+00:00"></head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="com.here.android.mpa.routing (HERE Android Premium SDK)";
        }
    }
    catch(err) {
    }
//-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../overview-summary.html">Overview</a></li>
<li class="navBarCell1Rev">Package</li>
<li>Class</li>
<li><a href="package-use.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../index-files/index-1.html">Index</a></li>
<li><a href="../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../../com/here/android/mpa/prefetcher/package-summary.html">Prev Package</a></li>
<li><a href="../../../../../com/here/android/mpa/search/package-summary.html">Next Package</a></li>
</ul>
<ul class="navList">
<li><a href="../../../../../index.html?com/here/android/mpa/routing/package-summary.html" target="_top">Frames</a></li>
<li><a href="package-summary.html" target="_top">No Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../../../allclasses-noframe.html">All Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<div class="header">
<h1 title="Package" class="title">Package com.here.android.mpa.routing</h1>
<div class="docSummary">
<div class="block">This
        package provides classes, interfaces, and enumerations for route calculation and
        route description (directions).</div>
</div>
<p>See: <a href="#package.description">Description</a></p>
</div>
<div class="contentContainer">
<ul class="blockList">
<li class="blockList">
<table class="typeSummary" border="0" cellpadding="3" cellspacing="0" summary="Interface Summary table, listing interfaces, and an explanation">
<caption><span>Interface Summary</span><span class="tabEnd"> </span></caption>
<tr>
<th class="colFirst" scope="col">Interface</th>
<th class="colLast" scope="col">Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><a href="../../../../../com/here/android/mpa/routing/CoreRouter.Listener.html" title="interface in com.here.android.mpa.routing">CoreRouter.Listener</a></td>
<td class="colLast">
<div class="block">Represents a listener to provide information about route calculation events.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="../../../../../com/here/android/mpa/routing/Route.DeserializationCallback.html" title="interface in com.here.android.mpa.routing">Route.DeserializationCallback</a></td>
<td class="colLast">
<div class="block">Callback interface for when deserialization is done, passed to deserializeAsync.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="../../../../../com/here/android/mpa/routing/Route.SerializationCallback.html" title="interface in com.here.android.mpa.routing">Route.SerializationCallback</a></td>
<td class="colLast">
<div class="block">Callback interface for when serialization is done, passed to serializeAsync.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="../../../../../com/here/android/mpa/routing/Router.html" title="interface in com.here.android.mpa.routing">Router</a>&lt;T,S extends java.lang.Enum&lt;?&gt;&gt;</td>
<td class="colLast">
<div class="block">Base interface for route calculation class.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="../../../../../com/here/android/mpa/routing/Router.Listener.html" title="interface in com.here.android.mpa.routing">Router.Listener</a>&lt;T,S extends java.lang.Enum&lt;?&gt;&gt;</td>
<td class="colLast"> </td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="../../../../../com/here/android/mpa/routing/UMRouter.Listener.html" title="interface in com.here.android.mpa.routing">UMRouter.Listener</a></td>
<td class="colLast">
<div class="block">Represents a listener to provide information about route calculation events.</div>
</td>
</tr>
</tbody>
</table>
</li>
<li class="blockList">
<table class="typeSummary" border="0" cellpadding="3" cellspacing="0" summary="Class Summary table, listing classes, and an explanation">
<caption><span>Class Summary</span><span class="tabEnd"> </span></caption>
<tr>
<th class="colFirst" scope="col">Class</th>
<th class="colLast" scope="col">Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><a href="../../../../../com/here/android/mpa/routing/ConsumptionParameters.html" title="class in com.here.android.mpa.routing">ConsumptionParameters</a></td>
<td class="colLast">
<div class="block">Stores information about consumption parameters of vehicle.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="../../../../../com/here/android/mpa/routing/ConsumptionParameters.ConsumptionForSpeed.html" title="class in com.here.android.mpa.routing">ConsumptionParameters.ConsumptionForSpeed</a></td>
<td class="colLast">
<div class="block">Specifies consumption per meter for different travel speeds.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="../../../../../com/here/android/mpa/routing/ConsumptionParameters.TrafficScale.html" title="class in com.here.android.mpa.routing">ConsumptionParameters.TrafficScale</a></td>
<td class="colLast">
<div class="block">Defines the traffic speed/free-flow speed adjustment scale.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="../../../../../com/here/android/mpa/routing/CoreRouter.html" title="class in com.here.android.mpa.routing">CoreRouter</a></td>
<td class="colLast">
<div class="block">Route calculation executor handling core routing types (Car, Truck, Pedestrian).</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="../../../../../com/here/android/mpa/routing/DynamicPenalty.html" title="class in com.here.android.mpa.routing">DynamicPenalty</a></td>
<td class="colLast">
<div class="block">This class represents a policy containing road, area, and traffic restriction factors that are taken
 into account while calculating routes.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="../../../../../com/here/android/mpa/routing/Maneuver.html" title="class in com.here.android.mpa.routing">Maneuver</a></td>
<td class="colLast">
<div class="block">Represents the action required to leave one street segment and enter the next in the chain of
 directions that comprises a calculated <a href="../../../../../com/here/android/mpa/routing/Route.html" title="class in com.here.android.mpa.routing"><code>Route</code></a>.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="../../../../../com/here/android/mpa/routing/Route.html" title="class in com.here.android.mpa.routing">Route</a></td>
<td class="colLast">
<div class="block">Represents a distinct path connecting two or more waypoints <code>GeoCoordinate</code>.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="../../../../../com/here/android/mpa/routing/Route.DeserializationResult.html" title="class in com.here.android.mpa.routing">Route.DeserializationResult</a></td>
<td class="colLast">
<div class="block">Represents the result of a Route de-serialization</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="../../../../../com/here/android/mpa/routing/Route.SerializationResult.html" title="class in com.here.android.mpa.routing">Route.SerializationResult</a></td>
<td class="colLast">
<div class="block">Represents the result of a Route serialization</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="../../../../../com/here/android/mpa/routing/RouteConsumption.html" title="class in com.here.android.mpa.routing">RouteConsumption</a></td>
<td class="colLast">
<div class="block">Route consumptions.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="../../../../../com/here/android/mpa/routing/RouteElement.html" title="class in com.here.android.mpa.routing">RouteElement</a></td>
<td class="colLast">
<div class="block">Represents an element within a <a href="../../../../../com/here/android/mpa/routing/Route.html" title="class in com.here.android.mpa.routing"><code>Route</code></a>.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="../../../../../com/here/android/mpa/routing/RouteElements.html" title="class in com.here.android.mpa.routing">RouteElements</a></td>
<td class="colLast">
<div class="block">Holds the list of <a href="../../../../../com/here/android/mpa/routing/RouteElement.html" title="class in com.here.android.mpa.routing"><code>RouteElement</code></a> objects obtained from the
 <a href="../../../../../com/here/android/mpa/routing/Route.html" title="class in com.here.android.mpa.routing"><code>Route</code></a> class.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="../../../../../com/here/android/mpa/routing/RouteOptions.html" title="class in com.here.android.mpa.routing">RouteOptions</a></td>
<td class="colLast">
<div class="block">This is the definition of the <a href="../../../../../com/here/android/mpa/routing/RouteOptions.html" title="class in com.here.android.mpa.routing"><code>RouteOptions</code></a> class.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="../../../../../com/here/android/mpa/routing/RoutePlan.html" title="class in com.here.android.mpa.routing">RoutePlan</a></td>
<td class="colLast">
<div class="block"><code>RoutePlan</code> contains all information needed to calculate a <a href="../../../../../com/here/android/mpa/routing/Route.html" title="class in com.here.android.mpa.routing"><code>Route</code></a>.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="../../../../../com/here/android/mpa/routing/RouteResult.html" title="class in com.here.android.mpa.routing">RouteResult</a></td>
<td class="colLast">
<div class="block">This is the definition of the RouteResult class.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="../../../../../com/here/android/mpa/routing/RouteTta.html" title="class in com.here.android.mpa.routing">RouteTta</a></td>
<td class="colLast">
<div class="block">Describes Time To Arrival details for a given route.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="../../../../../com/here/android/mpa/routing/RouteWaypoint.html" title="class in com.here.android.mpa.routing">RouteWaypoint</a></td>
<td class="colLast">
<div class="block">Represents a waypoint to be used in a route calculation.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="../../../../../com/here/android/mpa/routing/RouteWaypoint.RoadInfo.html" title="class in com.here.android.mpa.routing">RouteWaypoint.RoadInfo</a></td>
<td class="colLast">
<div class="block">Exposes additional information about RouteWaypoint, mainly the side of the road it's on.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="../../../../../com/here/android/mpa/routing/RoutingZone.html" title="class in com.here.android.mpa.routing">RoutingZone</a></td>
<td class="colLast">
<div class="block">Class provides basic information about the routing zone and can be passed as an option to
 routing.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="../../../../../com/here/android/mpa/routing/Signpost.html" title="class in com.here.android.mpa.routing">Signpost</a></td>
<td class="colLast">
<div class="block">This class stores signpost information along the <a href="../../../../../com/here/android/mpa/routing/Route.html" title="class in com.here.android.mpa.routing"><code>Route</code></a>.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="../../../../../com/here/android/mpa/routing/Signpost.LocalizedLabel.html" title="class in com.here.android.mpa.routing">Signpost.LocalizedLabel</a></td>
<td class="colLast">
<div class="block">Signpost information can be used for navigation (both audible and
 graphical/textual navigation) and map display.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="../../../../../com/here/android/mpa/routing/TransitManeuver.html" title="class in com.here.android.mpa.routing">TransitManeuver</a></td>
<td class="colLast">
<div class="block">Represents the transit specific action required to leave one street segment
 and enter the next in the chain of directions that comprises a calculated
 Transit <a href="../../../../../com/here/android/mpa/routing/Route.html" title="class in com.here.android.mpa.routing"><code>Route</code></a> .</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="../../../../../com/here/android/mpa/routing/TransitRouteElement.html" title="class in com.here.android.mpa.routing">TransitRouteElement</a></td>
<td class="colLast">
<div class="block">Represents an element within a transit-specific <a href="../../../../../com/here/android/mpa/routing/Route.html" title="class in com.here.android.mpa.routing"><code>Route</code></a>.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="../../../../../com/here/android/mpa/routing/TransitRouteSourceAttribution.html" title="class in com.here.android.mpa.routing">TransitRouteSourceAttribution</a></td>
<td class="colLast">
<div class="block">This class contains copyright notices that must be displayed to the end user.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="../../../../../com/here/android/mpa/routing/TransitRouteStop.html" title="class in com.here.android.mpa.routing">TransitRouteStop</a></td>
<td class="colLast">
<div class="block">This is a public transit stop within a calculated transit <a href="../../../../../com/here/android/mpa/routing/Route.html" title="class in com.here.android.mpa.routing"><code>Route</code></a>.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="../../../../../com/here/android/mpa/routing/TransitRouteSupplier.html" title="class in com.here.android.mpa.routing">TransitRouteSupplier</a></td>
<td class="colLast">
<div class="block">This class contains structured information about a source data supplier.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="../../../../../com/here/android/mpa/routing/TransitRouteSupplierNote.html" title="class in com.here.android.mpa.routing">TransitRouteSupplierNote</a></td>
<td class="colLast">
<div class="block">This class contains giving additional information about the supplier.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="../../../../../com/here/android/mpa/routing/TruckRestriction.html" title="class in com.here.android.mpa.routing">TruckRestriction</a></td>
<td class="colLast">
<div class="block">Gives information about the truck restriction, e.g.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="../../../../../com/here/android/mpa/routing/UMCalculateResult.html" title="class in com.here.android.mpa.routing">UMCalculateResult</a></td>
<td class="colLast">Deprecated
<div class="block"><span class="deprecationComment">As of SDK 3.8.</span></div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="../../../../../com/here/android/mpa/routing/UMRoute.html" title="class in com.here.android.mpa.routing">UMRoute</a></td>
<td class="colLast">Deprecated
<div class="block"><span class="deprecationComment">As of SDK 3.8.</span></div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="../../../../../com/here/android/mpa/routing/UMRouteOptions.html" title="class in com.here.android.mpa.routing">UMRouteOptions</a></td>
<td class="colLast">Deprecated
<div class="block"><span class="deprecationComment">As of SDK 3.8.</span></div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="../../../../../com/here/android/mpa/routing/UMRouter.html" title="class in com.here.android.mpa.routing">UMRouter</a></td>
<td class="colLast">Deprecated
<div class="block"><span class="deprecationComment">As of SDK 3.8.</span></div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="../../../../../com/here/android/mpa/routing/UMRouteResult.html" title="class in com.here.android.mpa.routing">UMRouteResult</a></td>
<td class="colLast">Deprecated
<div class="block"><span class="deprecationComment">As of SDK 3.8.</span></div>
</td>
</tr>
</tbody>
</table>
</li>
<li class="blockList">
<table class="typeSummary" border="0" cellpadding="3" cellspacing="0" summary="Enum Summary table, listing enums, and an explanation">
<caption><span>Enum Summary</span><span class="tabEnd"> </span></caption>
<tr>
<th class="colFirst" scope="col">Enum</th>
<th class="colLast" scope="col">Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><a href="../../../../../com/here/android/mpa/routing/CoreRouter.Connectivity.html" title="enum in com.here.android.mpa.routing">CoreRouter.Connectivity</a></td>
<td class="colLast">
<div class="block">The possible types of connectivity for route calculation</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="../../../../../com/here/android/mpa/routing/DrivingDirection.html" title="enum in com.here.android.mpa.routing">DrivingDirection</a></td>
<td class="colLast">
<div class="block">Enumeration for driving direction.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="../../../../../com/here/android/mpa/routing/Maneuver.Action.html" title="enum in com.here.android.mpa.routing">Maneuver.Action</a></td>
<td class="colLast">
<div class="block">Represents values describing the possible actions of a <a href="../../../../../com/here/android/mpa/routing/Maneuver.html" title="class in com.here.android.mpa.routing"><code>Maneuver</code></a>.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="../../../../../com/here/android/mpa/routing/Maneuver.Icon.html" title="enum in com.here.android.mpa.routing">Maneuver.Icon</a></td>
<td class="colLast">
<div class="block">Represents values describing types of <a href="../../../../../com/here/android/mpa/routing/Maneuver.html" title="class in com.here.android.mpa.routing"><code>Maneuver</code></a> icons.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="../../../../../com/here/android/mpa/routing/Maneuver.TrafficDirection.html" title="enum in com.here.android.mpa.routing">Maneuver.TrafficDirection</a></td>
<td class="colLast">
<div class="block">Represents values describing possible traffic directions, the side of road on which one must
 drive.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="../../../../../com/here/android/mpa/routing/Maneuver.Turn.html" title="enum in com.here.android.mpa.routing">Maneuver.Turn</a></td>
<td class="colLast">
<div class="block">Represents values describing possible turns within a <a href="../../../../../com/here/android/mpa/routing/Maneuver.html" title="class in com.here.android.mpa.routing"><code>Maneuver</code></a>.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="../../../../../com/here/android/mpa/routing/Route.EtaValidity.html" title="enum in com.here.android.mpa.routing">Route.EtaValidity</a></td>
<td class="colLast">
<div class="block">Enumeration used for calculating the estimated time of arrival(ETA).</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="../../../../../com/here/android/mpa/routing/Route.SerializerError.html" title="enum in com.here.android.mpa.routing">Route.SerializerError</a></td>
<td class="colLast">
<div class="block">Represents values describing possible route serialization errors.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="../../../../../com/here/android/mpa/routing/Route.TrafficPenaltyMode.html" title="enum in com.here.android.mpa.routing">Route.TrafficPenaltyMode</a></td>
<td class="colLast">
<div class="block">Defines the possible traffic penalty modes used for route calculation and traffic event
 handling.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="../../../../../com/here/android/mpa/routing/RouteElement.TravelDirection.html" title="enum in com.here.android.mpa.routing">RouteElement.TravelDirection</a></td>
<td class="colLast">
<div class="block">Represents values describing the possible travel directions of a <a href="../../../../../com/here/android/mpa/routing/RouteElement.html" title="class in com.here.android.mpa.routing"><code>RouteElement</code></a>.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="../../../../../com/here/android/mpa/routing/RouteElement.Type.html" title="enum in com.here.android.mpa.routing">RouteElement.Type</a></td>
<td class="colLast">
<div class="block">Represents values describing the possible types of a <a href="../../../../../com/here/android/mpa/routing/RouteElement.html" title="class in com.here.android.mpa.routing"><code>RouteElement</code></a>.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="../../../../../com/here/android/mpa/routing/RouteOptions.HazardousGoodType.html" title="enum in com.here.android.mpa.routing">RouteOptions.HazardousGoodType</a></td>
<td class="colLast">
<div class="block">Defines names for different types of hazardous goods that can be transported by a truck.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="../../../../../com/here/android/mpa/routing/RouteOptions.PublicTransportLinkFlag.html" title="enum in com.here.android.mpa.routing">RouteOptions.PublicTransportLinkFlag</a></td>
<td class="colLast">
<div class="block">Public Transport Link Flag.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="../../../../../com/here/android/mpa/routing/RouteOptions.SpeedProfile.html" title="enum in com.here.android.mpa.routing">RouteOptions.SpeedProfile</a></td>
<td class="colLast">
<div class="block">Route calculation vehicle speed profile.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="../../../../../com/here/android/mpa/routing/RouteOptions.TimeType.html" title="enum in com.here.android.mpa.routing">RouteOptions.TimeType</a></td>
<td class="colLast">
<div class="block">Ways that the time can be specified.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="../../../../../com/here/android/mpa/routing/RouteOptions.TransportMode.html" title="enum in com.here.android.mpa.routing">RouteOptions.TransportMode</a></td>
<td class="colLast">
<div class="block">Represents values describing different mode of transportation a person will be using.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="../../../../../com/here/android/mpa/routing/RouteOptions.TruckRestrictionsMode.html" title="enum in com.here.android.mpa.routing">RouteOptions.TruckRestrictionsMode</a></td>
<td class="colLast">
<div class="block">Defines way of handling road segments on which violated static truck restriction applies.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="../../../../../com/here/android/mpa/routing/RouteOptions.TruckType.html" title="enum in com.here.android.mpa.routing">RouteOptions.TruckType</a></td>
<td class="colLast">
<div class="block">Defines names for different types of trucks.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="../../../../../com/here/android/mpa/routing/RouteOptions.TunnelCategory.html" title="enum in com.here.android.mpa.routing">RouteOptions.TunnelCategory</a></td>
<td class="colLast">
<div class="block">Specify the ADR tunnel category to restrict the truck route to.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="../../../../../com/here/android/mpa/routing/RouteOptions.Type.html" title="enum in com.here.android.mpa.routing">RouteOptions.Type</a></td>
<td class="colLast">
<div class="block">Represents different types of routing, such as by speed or by distance.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="../../../../../com/here/android/mpa/routing/RouteResult.ViolatedOption.html" title="enum in com.here.android.mpa.routing">RouteResult.ViolatedOption</a></td>
<td class="colLast">
<div class="block">These are options which may be ignored by the routing engine; in such
 cases a list of violated options is returned in the listener's on_end() method.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="../../../../../com/here/android/mpa/routing/RouteTta.Detail.html" title="enum in com.here.android.mpa.routing">RouteTta.Detail</a></td>
<td class="colLast">
<div class="block">Additional Time To Arrival Details</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="../../../../../com/here/android/mpa/routing/RouteWaypoint.RoadInfo.RoadSide.html" title="enum in com.here.android.mpa.routing">RouteWaypoint.RoadInfo.RoadSide</a></td>
<td class="colLast">
<div class="block">Represents side of the road, used to indicate position relative to a road, according to
 travel direction.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="../../../../../com/here/android/mpa/routing/RouteWaypoint.Type.html" title="enum in com.here.android.mpa.routing">RouteWaypoint.Type</a></td>
<td class="colLast">
<div class="block">Represents different types of waypoints.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="../../../../../com/here/android/mpa/routing/RouteWaypoint.WaypointDirection.html" title="enum in com.here.android.mpa.routing">RouteWaypoint.WaypointDirection</a></td>
<td class="colLast">
<div class="block">Represents different waypoint direction.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="../../../../../com/here/android/mpa/routing/RoutingError.html" title="enum in com.here.android.mpa.routing">RoutingError</a></td>
<td class="colLast">
<div class="block">Represents values describing possible route calculation errors.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="../../../../../com/here/android/mpa/routing/RoutingZone.Type.html" title="enum in com.here.android.mpa.routing">RoutingZone.Type</a></td>
<td class="colLast">
<div class="block">Defines possible routing zone types used for zone exclusions from route during calculation.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="../../../../../com/here/android/mpa/routing/TransitManeuver.TransitLineStyle.html" title="enum in com.here.android.mpa.routing">TransitManeuver.TransitLineStyle</a></td>
<td class="colLast">
<div class="block">Represents values describing different line styles.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="../../../../../com/here/android/mpa/routing/TransitRouteStop.Attribute.html" title="enum in com.here.android.mpa.routing">TransitRouteStop.Attribute</a></td>
<td class="colLast">
<div class="block">Represents values describing different attributes for a
 <a href="../../../../../com/here/android/mpa/routing/TransitRouteStop.html" title="class in com.here.android.mpa.routing"><code>TransitRouteStop</code></a>.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="../../../../../com/here/android/mpa/routing/TruckRestriction.HazMat.html" title="enum in com.here.android.mpa.routing">TruckRestriction.HazMat</a></td>
<td class="colLast">
<div class="block">Represents truck hazardous material type.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="../../../../../com/here/android/mpa/routing/TruckRestriction.TrailerType.html" title="enum in com.here.android.mpa.routing">TruckRestriction.TrailerType</a></td>
<td class="colLast">
<div class="block">Represents restriction on a link or lane related to trucks with a specified number of
 trailers.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="../../../../../com/here/android/mpa/routing/TruckRestriction.Type.html" title="enum in com.here.android.mpa.routing">TruckRestriction.Type</a></td>
<td class="colLast">
<div class="block">Represents truck restriction type.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="../../../../../com/here/android/mpa/routing/TruckRestriction.WeatherType.html" title="enum in com.here.android.mpa.routing">TruckRestriction.WeatherType</a></td>
<td class="colLast">
<div class="block">Represents weather condition restriction.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="../../../../../com/here/android/mpa/routing/UMCalculateResult.ViolatedOption.html" title="enum in com.here.android.mpa.routing">UMCalculateResult.ViolatedOption</a></td>
<td class="colLast">
<div class="block">These are options which might not be taken into account when calculating the
 <a href="../../../../../com/here/android/mpa/routing/UMCalculateResult.html" title="class in com.here.android.mpa.routing"><code>UMCalculateResult</code></a>.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="../../../../../com/here/android/mpa/routing/UMRouter.SubsequentRouteType.html" title="enum in com.here.android.mpa.routing">UMRouter.SubsequentRouteType</a></td>
<td class="colLast">
<div class="block">Defines if earlier or later routes should be requested.</div>
</td>
</tr>
</tbody>
</table>
</li>
</ul>
<a name="package.description">
<!--   -->
</a>
<h2 title="Package com.here.android.mpa.routing Description">Package com.here.android.mpa.routing Description</h2>
<div class="block">This
        package provides classes, interfaces, and enumerations for route calculation and
        route description (directions).
        <p>Note: the <a href="../../../../../com/here/android/mpa/routing/CoreRouter.html" title="class in com.here.android.mpa.routing"><code>CoreRouter</code></a> class provides access to the route calculation functionality.</p>
        <p>To calculate a route, you need:
        </p><ul>
                <li>a parameter list containing at least two waypoints for the
                        start and end of the route - this is an instance of <a href="../../../../../com/here/android/mpa/routing/RoutePlan.html" title="class in com.here.android.mpa.routing"><code>RoutePlan</code></a></li>
                <li>a set of routing options to control route calculation features -
                        this is an instance of <a href="../../../../../com/here/android/mpa/routing/RouteOptions.html" title="class in com.here.android.mpa.routing"><code>RouteOptions</code></a></li>
                <li>an event listener for listening to CoreRouter events -
                        this is an instance of <a href="../../../../../com/here/android/mpa/routing/CoreRouter.Listener.html" title="interface in com.here.android.mpa.routing"><code>CoreRouter.Listener</code></a></li>
        </ul>
        
        <p>
        Note that to use transit and truck route calculation feature, your application must include the google-gson library
(release 2.2.4 or a compatible version) on its class path. This library can be downloaded from
the google-gson project website at <a href="http://code.google.com/p/google-gson/">http://code.google.com/p/google-gson/</a>. Attempting to use
to use transit and truck route calculation features without adding this library will cause runtime errors.
    </p>
    <p>
                For more information on how to use the <a href="../../../../../com/here/android/mpa/routing/CoreRouter.html" title="class in com.here.android.mpa.routing"><code>CoreRouter</code></a>, please see
                the "Directions" section in the HERE SDK for Android Developer's Guide
        </p></div>
</div>
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../overview-summary.html">Overview</a></li>
<li class="navBarCell1Rev">Package</li>
<li>Class</li>
<li><a href="package-use.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../index-files/index-1.html">Index</a></li>
<li><a href="../../../../../help-doc.html">Help</a></li>
</ul>
<div class="aboutLanguage">Copyright (c) 2011-2019 HERE Global B.V. All rights reserved.</div>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../../com/here/android/mpa/prefetcher/package-summary.html">Prev Package</a></li>
<li><a href="../../../../../com/here/android/mpa/search/package-summary.html">Next Package</a></li>
</ul>
<ul class="navList">
<li><a href="../../../../../index.html?com/here/android/mpa/routing/package-summary.html" target="_top">Frames</a></li>
<li><a href="package-summary.html" target="_top">No Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../../../allclasses-noframe.html">All Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</body>
</html>
